#include "gamemanager.h"

#include <vector>

class StarField : public GameObject {
		private:
			unsigned int texture;
			std::vector <Vect3d> starpos;
			static const int NumStars = 30;
			void initTextures();
			void initStars();
			void renderStars();
		public:
		
		StarField() : texture(0) { }
		void init() {
			initTextures();
			initStars();
		}
		
		virtual void renderBackground();
		virtual void tick();
		virtual ~StarField();
};

